Bug 7668 - Improve navigation and toolbar options in guided reports
Summary: Improve navigation and toolbar options in guided reports
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-07 20:29 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7668 - Improve navigation and toolbar options in guided reports (9.61 KB, patch)
2012-03-07 20:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7668 - Improve navigation and toolbar options in guided reports (9.68 KB, patch)
2012-03-08 04:38 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-03-07 20:29:58 UTC
The guided reports section breaks from the pattern of having "view" options in the left-hand menu and "action" options in a toolbar. A toolbar should be added to cover these actions: New (guided report, SQL report), Edit, and Run. The menu should omit these options, leaving "Saved reports."
Comment 1 Owen Leonard 2012-03-07 20:48:39 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2012-03-08 04:38:52 UTC
Created attachment 8070 [details] [review]
Bug 7668 - Improve navigation and toolbar options in guided reports

Creating new include, reports-toolbar.inc for presenting "action"
options to the user, in contrast with "view" options in the left-
hand navigation menu.

In the toolbar: New (guided report, SQL report), Edit, Run.

The presence of the toolbar allows the user to access functions
more flexibly: Getting directly to 'edit' or 'run' from the 'view'
page for instance.

Modifications to guided_reports.pl pass report id and name to
the template for clarity and for the purpose of enabling the
edit/run buttons.

To test: Apply the patch and go through the process of creating
a new saved SQL report. Note that the toolbar is present and
the buttons are functional at appropriate times.

New and Edit options should only be displayed if the user has
permission to create reports. Test with a user who does not
have create permission to confirm.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 3 Marcel de Rooy 2012-03-19 09:35:09 UTC
QA Comment: Looks good to me. Clear changes, more user friendly. Updating status.